List payout subscriptions by org

View as MarkdownOpen in Claude

Returns a list of payout subscriptions for a single org. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response. See Manage payout subscriptions for more information.

Authentication

requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

OR
AuthorizationBearer

OAuth2 Bearer access token from the client-credentials flow. See OAuth authentication.

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/payoutsubscriptions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/payoutsubscriptions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for more information. **List of field names accepted:** - `startDate` (gt, ge, lt, le, eq, ne) - `endDate` (gt, ge, lt, le, eq, ne) - `nextDate` (gt, ge, lt, le, eq, ne) - `frequency` (in, nin, ne, eq) - `method` (in, nin, eq, ne) - `totalAmount` (gt, ge, lt, le, eq, ne) - `netAmount` (gt, ge, lt, le, eq, ne) - `feeAmount` (gt, ge, lt, le, eq, ne) - `status` (in, nin, eq, ne) - `untilcancelled` (eq, ne) - `payaccountLastfour` (ct, nct) - `payaccountType` (ne, eq, in, nin) - `payaccountCurrency` (ne, eq, in, nin) - `paypointId` (ne, eq) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `orgName` (ne, eq, ct, nct, nin, in) - `parentOrgId` (ne, eq, nin, in) - `subscriptionId` (eq, ne) - `orderDescription` (ct, nct) - `cycles` (eq, ne, gt, ge, lt, le) - `leftcycles` (eq, ne, gt, ge, lt, le) - `createdAt` (eq, ne, gt, ge, lt, le) - `updatedOn` (eq, ne, gt, ge, lt, le) - `vendorNumber` (ne, eq, ct, nct) - `name` (ne, eq, ct, nct) - `phone` (ne, eq, ct, nct) - `email` (ne, eq, ct, nct) - `address` (ne, eq, ct, nct) - `remitAddress` (ct, nct) - `city` (ne, eq, ct, nct) - `state` (ne, eq, ct, nct) - `country` (ne, eq, ct, nct) - `zip` (ne, eq, ct, nct) **List of comparison operators accepted:** - `eq` or empty => equal - `gt` => greater than - `ge` => greater or equal - `lt` => less than - `le` => less or equal - `ne` => not equal - `ct` => contains - `nct` => not contains - `in` => inside array - `nin` => not inside array
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Summaryobject
Recordslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error